package transcode

import "git.icedream.tech/icedream/uplink/app/genericapi"

type Transcoder interface {
	genericapi.DynamicallyConfigurable
	
	AcceptedInputCodecs() []string
	AcceptedOutputCodecs() []string

	NewInstance(config interface{}) <-TranscoderInstance
}
