package demux

import (
	"io"

	"git.icedream.tech/icedream/uplink/app/media"
)

type Demuxer interface {
	NewInstance(r io.Reader) <-DemuxerInstance
}

type DemuxerInstance interface {
	Error() error
	Reader() io.Reader
	ContainerInfo() *media.MediaStreamContainerInfo
}
